Debian Bug report logs - #632445
gnumach-image-1-486: should depend on gnumach-common

version graph

Package: gnumach-image-1-486; Maintainer for gnumach-image-1-486 is GNU Hurd Maintainers <debian-hurd@lists.debian.org>; Source for gnumach-image-1-486 is src:gnumach.

Reported by: Thomas Schwinge <thomas@schwinge.name>

Date: Sat, 2 Jul 2011 09:39:02 UTC

Severity: wishlist

Found in version gnumach/2:1.3.99.dfsg.git20110305-1

Fixed in version gnumach/2:1.3.99.dfsg.git20111010-1

Done: Samuel Thibault <sthibault@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <debian-hurd@lists.debian.org>:
Bug#632445; Package gnumach-image-1-486. (Sat, 02 Jul 2011 09:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Schwinge <thomas@schwinge.name>:
New Bug report received and forwarded. Copy sent to GNU Hurd Maintainers <debian-hurd@lists.debian.org>. (Sat, 02 Jul 2011 09:39:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Schwinge <thomas@schwinge.name>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnumach-image-1-486: should depend on gnumach-common
Date: Sat, 02 Jul 2011 11:37:12 +0200
Package: gnumach-image-1-486
Version: 2:1.3.99.dfsg.git20110305-1
Severity: wishlist

Hallo!

Some of the gnumach-image* package(s) should Depend: on gnumach-common.


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: hurd-i386 (i686-AT386)

Kernel: GNU-Mach 1.3.99/Hurd-0.3
Locale: LANG=C, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnumach-image-1-486 depends on:
ii  gnumach-imag 2:1.3.99.dfsg.git20110609-1 The GNU version of the Mach microk

gnumach-image-1-486 recommends no packages.

gnumach-image-1-486 suggests no packages.

-- no debconf information


Grüße,
 Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Hurd Maintainers <debian-hurd@lists.debian.org>:
Bug#632445; Package gnumach-image-1-486. (Sat, 02 Jul 2011 10:06:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Hurd Maintainers <debian-hurd@lists.debian.org>. (Sat, 02 Jul 2011 10:06:15 GMT) Full text and rfc822 format available.

Message #10 received at 632445@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Thomas Schwinge <thomas@schwinge.name>, 632445@bugs.debian.org
Subject: Re: Bug#632445: gnumach-image-1-486: should depend on gnumach-common
Date: Sat, 2 Jul 2011 12:03:35 +0200
Thomas Schwinge, le Sat 02 Jul 2011 11:37:12 +0200, a écrit :
> Some of the gnumach-image* package(s) should Depend: on gnumach-common.

In my memory doing so was bringing an upgrade issue from the old package
set, we'll have to check this again.

Samuel




Added tag(s) pending. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Mon, 10 Oct 2011 21:48:57 GMT) Full text and rfc822 format available.

Message sent on to Thomas Schwinge <thomas@schwinge.name>:
Bug#632445. (Mon, 10 Oct 2011 22:21:15 GMT) Full text and rfc822 format available.

Message #15 received at 632445-submitter@bugs.debian.org (full text, mbox):

From: Samuel Thibault <samuel.thibault@ens-lyon.org>
To: 632445-submitter@bugs.debian.org
Subject: Bug#632445 marked as pending
Date: Mon, 10 Oct 2011 22:16:48 +0000
tag 632445 pending
thanks

Hello,

Bug #632445 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=pkg-hurd/gnumach.git;a=commitdiff;h=b2ed34e

---
commit b2ed34e5b603bd70ba7be5cb37dc527336383357
Author: Samuel Thibault <samuel.thibault@ens-lyon.org>
Date:   Mon Oct 10 21:14:02 2011 +0000

    New upstream snapshot, make gnumach-image-* packages depend on gnumach-common

diff --git a/debian/changelog b/debian/changelog
index dc5f84c..7579602 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,10 @@
-gnumach (2:1.3.99.dfsg.git20110805-2) UNRELEASED; urgency=low
+gnumach (2:1.3.99.dfsg.git20111010-1) UNRELEASED; urgency=low
 
-  * debian/control: Do not make -dbg package depend on the non-dbg packages.
+  * New upstream snapshot.
+  * debian/control:
+    - Do not make -dbg package depend on the non-dbg packages.
+    - Make gnumach-image-* packages depend on gnumach-common
+      (Closes: Bug#632445).
 
  -- Samuel Thibault <sthibault@debian.org>  Tue, 30 Aug 2011 02:36:10 +0200
 




Reply sent to Samuel Thibault <sthibault@debian.org>:
You have taken responsibility. (Mon, 10 Oct 2011 22:36:03 GMT) Full text and rfc822 format available.

Notification sent to Thomas Schwinge <thomas@schwinge.name>:
Bug acknowledged by developer. (Mon, 10 Oct 2011 22:36:03 GMT) Full text and rfc822 format available.

Message #20 received at 632445-close@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 632445-close@bugs.debian.org
Subject: Bug#632445: fixed in gnumach 2:1.3.99.dfsg.git20111010-1
Date: Mon, 10 Oct 2011 22:32:38 +0000
Source: gnumach
Source-Version: 2:1.3.99.dfsg.git20111010-1

We believe that the bug you reported is fixed in the latest version of
gnumach, which is due to be installed in the Debian FTP archive:

gnumach-common_1.3.99.dfsg.git20111010-1_all.deb
  to main/g/gnumach/gnumach-common_1.3.99.dfsg.git20111010-1_all.deb
gnumach-dbg_1.3.99.dfsg.git20111010-1_hurd-i386.deb
  to main/g/gnumach/gnumach-dbg_1.3.99.dfsg.git20111010-1_hurd-i386.deb
gnumach-dev_1.3.99.dfsg.git20111010-1_hurd-i386.deb
  to main/g/gnumach/gnumach-dev_1.3.99.dfsg.git20111010-1_hurd-i386.deb
gnumach-image-1-486_1.3.99.dfsg.git20111010-1_hurd-i386.deb
  to main/g/gnumach/gnumach-image-1-486_1.3.99.dfsg.git20111010-1_hurd-i386.deb
gnumach-image-1-xen-486_1.3.99.dfsg.git20111010-1_hurd-i386.deb
  to main/g/gnumach/gnumach-image-1-xen-486_1.3.99.dfsg.git20111010-1_hurd-i386.deb
gnumach-image-1.3.99-486-dbg_1.3.99.dfsg.git20111010-1_hurd-i386.deb
  to main/g/gnumach/gnumach-image-1.3.99-486-dbg_1.3.99.dfsg.git20111010-1_hurd-i386.deb
gnumach-image-1.3.99-486_1.3.99.dfsg.git20111010-1_hurd-i386.deb
  to main/g/gnumach/gnumach-image-1.3.99-486_1.3.99.dfsg.git20111010-1_hurd-i386.deb
gnumach-image-1.3.99-xen-486-dbg_1.3.99.dfsg.git20111010-1_hurd-i386.deb
  to main/g/gnumach/gnumach-image-1.3.99-xen-486-dbg_1.3.99.dfsg.git20111010-1_hurd-i386.deb
gnumach-image-1.3.99-xen-486_1.3.99.dfsg.git20111010-1_hurd-i386.deb
  to main/g/gnumach/gnumach-image-1.3.99-xen-486_1.3.99.dfsg.git20111010-1_hurd-i386.deb
gnumach_1.3.99.dfsg.git20111010-1.debian.tar.bz2
  to main/g/gnumach/gnumach_1.3.99.dfsg.git20111010-1.debian.tar.bz2
gnumach_1.3.99.dfsg.git20111010-1.dsc
  to main/g/gnumach/gnumach_1.3.99.dfsg.git20111010-1.dsc
gnumach_1.3.99.dfsg.git20111010-1_hurd-i386.deb
  to main/g/gnumach/gnumach_1.3.99.dfsg.git20111010-1_hurd-i386.deb
gnumach_1.3.99.dfsg.git20111010.orig.tar.gz
  to main/g/gnumach/gnumach_1.3.99.dfsg.git20111010.orig.tar.gz
kernel-image-1.3.99-486-di_1.3.99.dfsg.git20111010-1_hurd-i386.udeb
  to main/g/gnumach/kernel-image-1.3.99-486-di_1.3.99.dfsg.git20111010-1_hurd-i386.udeb
kernel-image-1.3.99-xen-486-di_1.3.99.dfsg.git20111010-1_hurd-i386.udeb
  to main/g/gnumach/kernel-image-1.3.99-xen-486-di_1.3.99.dfsg.git20111010-1_hurd-i386.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 632445@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Samuel Thibault <sthibault@debian.org> (supplier of updated gnumach package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 10 Oct 2011 21:53:25 +0000
Source: gnumach
Binary: gnumach gnumach-dbg gnumach-image-1-486 gnumach-image-1-xen-486 gnumach-image-1.3.99-486 gnumach-image-1.3.99-xen-486 kernel-image-1.3.99-486-di kernel-image-1.3.99-xen-486-di gnumach-image-1.3.99-486-dbg gnumach-image-1.3.99-xen-486-dbg gnumach-common gnumach-dev
Architecture: source all hurd-i386
Version: 2:1.3.99.dfsg.git20111010-1
Distribution: unstable
Urgency: low
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Changed-By: Samuel Thibault <sthibault@debian.org>
Description: 
 gnumach    - Dummy transition package for gnumach-image-*
 gnumach-common - The GNU version of the Mach microkernel, common files.
 gnumach-dbg - Dummy transition package for gnumach-image-*-dbg
 gnumach-dev - The GNU version of the Mach microkernel
 gnumach-image-1-486 - The GNU version of the Mach microkernel
 gnumach-image-1-xen-486 - The GNU version of the Mach microkernel
 gnumach-image-1.3.99-486 - The GNU version of the Mach microkernel
 gnumach-image-1.3.99-486-dbg - The GNU version of the Mach microkernel for debugging
 gnumach-image-1.3.99-xen-486 - The GNU version of the Mach microkernel for Xen
 gnumach-image-1.3.99-xen-486-dbg - The GNU version of the Mach microkernel for Xen for debugging
 kernel-image-1.3.99-486-di - The GNU version of the Mach microkernel for the Debian installer (udeb)
 kernel-image-1.3.99-xen-486-di - The GNU version of the Mach microkernel for the Debian installer (udeb)
Closes: 632445
Changes: 
 gnumach (2:1.3.99.dfsg.git20111010-1) unstable; urgency=low
 .
   * New upstream snapshot.
     - debian/patches/50_initrd.patch: Refresh.
   * debian/control:
     - Do not make -dbg package depend on the non-dbg packages.
     - Make gnumach-image-* packages depend on gnumach-common
       (Closes: Bug#632445).
Checksums-Sha1: 
 ae236bbfac9a6811bf753a4b8035fd7cfb17c364 2289 gnumach_1.3.99.dfsg.git20111010-1.dsc
 86b7c53c7a4b61661c588236f427f13c3129ee68 3534515 gnumach_1.3.99.dfsg.git20111010.orig.tar.gz
 ebe8ed281b9b0833537814040657dfb7c84db310 29712 gnumach_1.3.99.dfsg.git20111010-1.debian.tar.bz2
 3210fda5187935d8f114387d6f3725f29d596dcb 14778 gnumach-common_1.3.99.dfsg.git20111010-1_all.deb
 6d9d770b6ec1794edc35164d7add2ccb79188c04 12448 gnumach_1.3.99.dfsg.git20111010-1_hurd-i386.deb
 364563975f2de0beb1514ff3cb7df928aef7c890 12256 gnumach-dbg_1.3.99.dfsg.git20111010-1_hurd-i386.deb
 6c822085a0bf874a11d70dbf28498a0a55cd1751 12224 gnumach-image-1-486_1.3.99.dfsg.git20111010-1_hurd-i386.deb
 9baef20264f6e3de5282a8054bdbedaeb244134a 12264 gnumach-image-1-xen-486_1.3.99.dfsg.git20111010-1_hurd-i386.deb
 816d765b22b665a46ce6025716ad1e2db44444a8 953950 gnumach-image-1.3.99-486_1.3.99.dfsg.git20111010-1_hurd-i386.deb
 a371889390e3948b7b73b6234f6d5c4e9a47ecf7 207986 gnumach-image-1.3.99-xen-486_1.3.99.dfsg.git20111010-1_hurd-i386.deb
 25753160a28be648a0f5aa94781771edbadc20ec 937578 kernel-image-1.3.99-486-di_1.3.99.dfsg.git20111010-1_hurd-i386.udeb
 684c386351cee6f3f0538731b2f2447a26b8579f 192626 kernel-image-1.3.99-xen-486-di_1.3.99.dfsg.git20111010-1_hurd-i386.udeb
 74937f55e8d0cdffd18d2b6c8b4aca80bccfe367 3864692 gnumach-image-1.3.99-486-dbg_1.3.99.dfsg.git20111010-1_hurd-i386.deb
 05c8664087f2bcece6d2c664e449804b4121d2d9 1006944 gnumach-image-1.3.99-xen-486-dbg_1.3.99.dfsg.git20111010-1_hurd-i386.deb
 469eab89b2a0636122e61d6ad0b92b376cb85250 84874 gnumach-dev_1.3.99.dfsg.git20111010-1_hurd-i386.deb
Checksums-Sha256: 
 2660ec8a340de372958d8d704c9681924f936b056342b387a4356bad1f59f1e7 2289 gnumach_1.3.99.dfsg.git20111010-1.dsc
 97279125d2896678ef22e1bb806462e9b02d5f78e2dd56f3365b202ab0ac09ac 3534515 gnumach_1.3.99.dfsg.git20111010.orig.tar.gz
 821a257826591e50156c853cc59e6adcb715a33bfa1d4baeed45b5a3aff40f00 29712 gnumach_1.3.99.dfsg.git20111010-1.debian.tar.bz2
 6217fb8364394a56c045659ef782acfce0c8b2a686ba9adf2fd38e66b114d882 14778 gnumach-common_1.3.99.dfsg.git20111010-1_all.deb
 583a84b3d6f2c797de2bf6a4858fda588b99544ac23541f3fe667a9b8beea0bd 12448 gnumach_1.3.99.dfsg.git20111010-1_hurd-i386.deb
 83e797d29c28bfbb23822a0506672093cd9b42157b53bf5e575f1fb819f679c2 12256 gnumach-dbg_1.3.99.dfsg.git20111010-1_hurd-i386.deb
 f779f1d6da25dd82349c6f12253b83bf02d53684d257a70bbe6448f1066e8c7f 12224 gnumach-image-1-486_1.3.99.dfsg.git20111010-1_hurd-i386.deb
 6673229be632c644006cf55cf047886a1472d42be6933cf2488dcf8b62268442 12264 gnumach-image-1-xen-486_1.3.99.dfsg.git20111010-1_hurd-i386.deb
 5c90a85ce00a9970a2d908c488f3a3d78e28724eceaf003e274ecc08f1685fcb 953950 gnumach-image-1.3.99-486_1.3.99.dfsg.git20111010-1_hurd-i386.deb
 9a306ffc258fbed32abc2a958ea04c6579447648306eaf242623f1806e237058 207986 gnumach-image-1.3.99-xen-486_1.3.99.dfsg.git20111010-1_hurd-i386.deb
 cd1b318bb96429edfdf197034572a3fc56501509ac2ac273b2e7eb7378fe4f34 937578 kernel-image-1.3.99-486-di_1.3.99.dfsg.git20111010-1_hurd-i386.udeb
 a5db6779bd359a98a5033b7d6e0ef05ab8ff0951072d9b6a061c61a9cb4f5bc4 192626 kernel-image-1.3.99-xen-486-di_1.3.99.dfsg.git20111010-1_hurd-i386.udeb
 5ebc04c060e3829a6db53923baa28ef08ae9fa0176d877513537558f4a0ded71 3864692 gnumach-image-1.3.99-486-dbg_1.3.99.dfsg.git20111010-1_hurd-i386.deb
 80579055adb364c6bf642ede29262ed7d1ec702822f563f48cc7c898b1b70e33 1006944 gnumach-image-1.3.99-xen-486-dbg_1.3.99.dfsg.git20111010-1_hurd-i386.deb
 1cf4d2ac2fd6c1f5de4b81684fcaca74b4cf953ce97d8e268a4dc3291df9bbb9 84874 gnumach-dev_1.3.99.dfsg.git20111010-1_hurd-i386.deb
Files: 
 c4989f3c0a289e7419634aac0db4f032 2289 kernel optional gnumach_1.3.99.dfsg.git20111010-1.dsc
 3c4cba72b23466b22e818d0a58b1648d 3534515 kernel optional gnumach_1.3.99.dfsg.git20111010.orig.tar.gz
 7704a20dc4010796da06f2328d62b6bb 29712 kernel optional gnumach_1.3.99.dfsg.git20111010-1.debian.tar.bz2
 28c32919bf7c10c2e1cfd07f4f133964 14778 devel optional gnumach-common_1.3.99.dfsg.git20111010-1_all.deb
 dcaf53391e4b67c4ffa3ceabfe86c239 12448 kernel optional gnumach_1.3.99.dfsg.git20111010-1_hurd-i386.deb
 4c3e409f801b6a601d8bc5fa10a2c037 12256 debug extra gnumach-dbg_1.3.99.dfsg.git20111010-1_hurd-i386.deb
 ba020be74fc32f45d903d15dc060cbdb 12224 kernel optional gnumach-image-1-486_1.3.99.dfsg.git20111010-1_hurd-i386.deb
 cfc5d6b756b08f72deada5e78b6f5ce1 12264 kernel optional gnumach-image-1-xen-486_1.3.99.dfsg.git20111010-1_hurd-i386.deb
 7eecdb67595677816528969f2ab556a1 953950 kernel optional gnumach-image-1.3.99-486_1.3.99.dfsg.git20111010-1_hurd-i386.deb
 497d22b7559f71d665c596f99e4fee31 207986 kernel optional gnumach-image-1.3.99-xen-486_1.3.99.dfsg.git20111010-1_hurd-i386.deb
 abc6b743f86c90425c24dc6948309409 937578 debian-installer optional kernel-image-1.3.99-486-di_1.3.99.dfsg.git20111010-1_hurd-i386.udeb
 21e7f5b0204ac2b54a3a332369e9d439 192626 debian-installer optional kernel-image-1.3.99-xen-486-di_1.3.99.dfsg.git20111010-1_hurd-i386.udeb
 d4ab18fe9227f2ee91f988f282b8db55 3864692 debug extra gnumach-image-1.3.99-486-dbg_1.3.99.dfsg.git20111010-1_hurd-i386.deb
 27a76973938e5bd360d3db2b2e29a543 1006944 debug extra gnumach-image-1.3.99-xen-486-dbg_1.3.99.dfsg.git20111010-1_hurd-i386.deb
 e8772ce8d7be1c40f4b9dfd8709146be 84874 devel optional gnumach-dev_1.3.99.dfsg.git20111010-1_hurd-i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iF4EAREKAAYFAk6TbnAACgkQa6Lp0s/HjrO+5gD9GyQiDT2UAhKLqmAjLMwMRomf
r4Pe8MufjdoPGC+S2y0BAIKCPClPuvIH6lTNYac1WVd9fkWWCp0maBSj29Z2l9iC
=JPEm
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 04 Dec 2011 07:36:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:32:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.